Bug 130298 - reminder table does not save column layout
Summary: reminder table does not save column layout
Status: CLOSED FIXED
Alias: None
Product: kalarm
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: David Jarvie
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-07-05 15:52 UTC by Oliver Grimm
Modified: 2007-08-20 14:18 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Grimm 2006-07-05 15:52:36 UTC
Version:           1.3.9 (using KDE KDE 3.5.3)
Installed from:    Debian testing/unstable Packages
OS:                Linux

To reproduce do 

- start KAlarm
- drag and resize some of the columns
- quit KAlarm
- restart KAlarm
- the column layout is set back to standard.

The expected behaviour is that KAlarm saves the column layout and restores it when started.
Comment 1 David Jarvie 2006-07-12 00:47:02 UTC
SVN commit 561356 by djarvie:

Remember column ordering in main window between sessions, in case the user
reorders the columns. (Except for the message column, which is always set to
the last column.)

Prevent the alarm type column from being resized, to prevent refresh problems.

BUG: 130298
BUG: 130297



 M  +2 -1      Changelog  
 M  +139 -63   alarmlistview.cpp  
 M  +12 -16    alarmlistview.h  
 M  +35 -16    mainwindow.cpp  
 M  +1 -0      mainwindow.h